////////////////////////////////////////////////////////////////////////////////
/**
 *  \file     xmlparser.h
 *  \version  v1.0
 *  \author   Ing. Dominik Malcik
 */
////////////////////////////////////////////////////////////////////////////////

#ifndef XMLPARSER_H
#define XMLPARSER_H

#include <QMainWindow>
#include <QtXml/QDomDocument>
#include <QMessageBox>
#include <vector>

// singleton
#include "project.h"

class XMLparser : public QMainWindow
{
    Q_OBJECT

public:
    explicit XMLparser(QWidget *parent = 0);
    bool read(QIODevice *file);

signals:

public slots:

private:
    QDomDocument domDocument;

};

#endif // XMLPARSER_H
