////////////////////////////////////////////////////////////////////////////////
/**
 *  \file     layerrecord.cpp
 *  \version  v1.0
 *  \author   Ing. Dominik Malcik
 */
////////////////////////////////////////////////////////////////////////////////

#include "layerrecord.h"

LayerRecord::LayerRecord(QObject *parent) : QObject(parent) {
}

LayerRecord::LayerRecord(bool b, QString s1, QString s2) {
    this->checkBox = b;
    this->name = s1;
    this->opacity = s2;
}

void LayerRecord::setCheckBox (bool b) {
    this->checkBox = b;
}

bool LayerRecord::getCheckBox (void) {
    return this->checkBox;
}

void LayerRecord::setName (QString s) {
    this->name = s;
}

QString LayerRecord::getName (void) {
    return this->name;
}

void LayerRecord::setOpacity (QString s) {
    this->opacity = s;
}

QString LayerRecord::getOpacity (void) {
    return this->opacity;
}
