////////////////////////////////////////////////////////////////////////////////
/**
 *  \file     main.cpp
 *  \version  v1.0
 *  \author   Ing. Dominik Malcik
 */
////////////////////////////////////////////////////////////////////////////////

#include <QApplication>
#include <iostream>
#include "mainwindow.h"

int main(int argc, char *argv[])
{
    QApplication a(argc, argv);

    a.setOrganizationName("FIT BUT in Brno");
    a.setApplicationName("microAnalyzer");

    MainWindow microAnalyzer;
    microAnalyzer.setWindowTitle("microAnalyzer :: imalcik at FIT BUT in Brno");

    microAnalyzer.showMaximized();

    return a.exec();
}
